com.sun.tdk.specdiff.html

## Class AbstractDifferModule

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule

- All Implemented Interfaces:
    DifferModule
  Direct Known Subclasses:
    AbstractDiffReportFormatter, DiffReportBuilder, StatBuilder

      public abstract class AbstractDifferModule
      extends java.lang.Object
      implements DifferModule

  Abstract implementation of `DifferModule`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDifferModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getNewPath()`
    `java.lang.String` | `getOldPath()`
    `java.io.File` | `getOutDir()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParameters()`
    `void` | `init(java.lang.String oldPath, java.lang.String newPath, java.lang.String fileName, java.io.File outDir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDifferModule

          public AbstractDifferModule()

  - ### Method Detail

    - #### init

          public void init(java.lang.String oldPath,
                           java.lang.String newPath,
                           java.lang.String fileName,
                           java.io.File outDir)

      Specified by:
        `init` in interface `DifferModule`

    - #### getParameters

          public final java.util.Map<java.lang.String,java.lang.String> getParameters()

      Specified by:
        `getParameters` in interface `DifferModule`

    - #### getOldPath

          public final java.lang.String getOldPath()

    - #### getNewPath

          public final java.lang.String getNewPath()

    - #### getFileName

          public final java.lang.String getFileName()

    - #### getOutDir

          public final java.io.File getOutDir()